# Class PackageFragmentRootSourceContainer

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
org.eclipse.jdt.launching.sourcelookup.containers.PackageFragmentRootSourceContainer

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable, org.eclipse.debug.core.sourcelookup.ISourceContainer`

public class PackageFragmentRootSourceContainer extends org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
Package fragment root source container. Represents an archive or folder in the Java model containing class files, with a possible source attachment.

This class may be instantiated.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_ID`
Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.packageFragmentRoot`).

### Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`PackageFragmentRootSourceContainer(IPackageFragmentRoot root)`
Constructs a new package fragment root source container on the given root.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`Object[]`
`findSourceElements(String name)`
`String`
`getName()`
`IPackageFragmentRoot`
`getPackageFragmentRoot()`
Returns the package fragment root this container searches for source.
`org.eclipse.core.runtime.IPath`
`getPath()`
`org.eclipse.debug.core.sourcelookup.ISourceContainerType`
`getType()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer

`abort, dispose, getDirector, getSourceContainers, getSourceContainerType, init, isComposite, isFindDuplicates, warn`

### Methods inherited from class org.eclipse.core.runtime.PlatformObject

`getAdapter`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

## Field Details

### TYPE_ID

public static final String TYPE_ID
Unique identifier for Java project source container type (value `org.eclipse.jdt.launching.sourceContainer.packageFragmentRoot`).

## Constructor Details

### PackageFragmentRootSourceContainer

public PackageFragmentRootSourceContainer(IPackageFragmentRoot root)
Constructs a new package fragment root source container on the given root. The root must be of kind `K_BINARY`.

Parameters:
  `root` - package fragment root

## Method Details

### findSourceElements

public Object[] findSourceElements(String name) throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

### getName

public String getName()

### getType

public org.eclipse.debug.core.sourcelookup.ISourceContainerType getType()

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getPackageFragmentRoot

public IPackageFragmentRoot getPackageFragmentRoot()
Returns the package fragment root this container searches for source.

Returns:
  the package fragment root this container searches for source

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getPath

public org.eclipse.core.runtime.IPath getPath()

### toString

public String toString()

Overrides:
  `toString` in class `Object`